﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using PSAdmin.Core.Utils;

namespace PSAdmin.Tests
{
    /// <summary>
    /// Summary description for EncryptionTests
    /// </summary>
    [TestClass]
    public class EncryptionTests
    {
        public EncryptionTests()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void Can_encrypt_string()
        {
            string password = "Redfred";
            var result = EncryptionHelper.Encrypt(password);

            Assert.IsNotNull(result);
        }

        [TestMethod]
        public void Can_encrypt_and_decrypt_string_for_comparison()
        {
            string password = "Redfred";

            var result = EncryptionHelper.Encrypt(password);

            Assert.AreEqual(password, EncryptionHelper.Decrypt(result));
        }
    }
}
