<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PSAdmin.Core.Domain.PSScript>" %>
    <p>
        <%= Html.LabelFor(model => model.Name) %>
        <%= Html.TextBoxFor(model => model.Name) %>
    </p>
    <p>
        <%= Html.LabelFor(model => model.Description) %>
        <%= Html.TextBoxFor(model => model.Description, new { @class = "scriptDescription" })%>
    </p>
    <p>
        <%= Html.LabelFor(model => model.CommandText) %>
        <%=Html.TextAreaFor(model=> model.CommandText, new {@class="console"}) %>
    </p>
    <p>
        <%=Html.LabelFor(model => model.Impersonate) %>
        <%=Html.CheckBoxFor(model => model.Impersonate)%>
    </p>
    <div class="credentials">
        <p>
            <%=Html.LabelFor(model => model.Username) %>
            <%=Html.TextBoxFor(model => model.Username) %>
        </p>
        <p>
            <%=Html.LabelFor(model => model.Password) %>
            <%=Html.PasswordFor(model => model.Password)%>
        </p>
        <p>
            <%=Html.LabelFor(model => model.Domain) %>
            <%=Html.TextBoxFor(model => model.Domain) %>
        </p>
    </div>

    <script type="text/javascript">
        $(document).ready(function() {
            checkImpersonation();
            $("#Impersonate").click(checkImpersonation);
        });

        function checkImpersonation() {
            if ($("#Impersonate").is(':checked')) {
                $("div.credentials").show();
            }
            else {
                $("div.credentials input").attr("value", "");
                $("div.credentials").hide();
            }
        }
    </script>

